package com.library.pdf;

import android.graphics.Bitmap;
import android.graphics.Color;

import java.util.HashMap;
import java.util.Map;

public class Utils {
	public static boolean isEmpty(Bitmap bitmap){
		int mainColor = Color.WHITE;
		int mainColorCounter = 0;
		try {
			Map<Integer, Integer> pixelMap = new HashMap<>();
			for (int x = 0; x < bitmap.getWidth(); x++) {
				for (int y = 0; y < bitmap.getHeight(); y++) {
					int pixelColor = bitmap.getPixel(x, y);
					pixelMap.put(pixelColor, pixelMap.containsKey(pixelColor) ? pixelMap.get(pixelColor) + 1 : 1);
				}
			}
			for (int pixelColor : pixelMap.keySet()) {
				if (pixelMap.get(pixelColor) >= mainColorCounter) {
					mainColorCounter = pixelMap.get(pixelColor);
					mainColor = pixelColor;
				}
			}
		} catch(Exception e){
			e.printStackTrace();
		}
		return mainColorCounter >= bitmap.getWidth() * bitmap.getHeight() * 0.98 && (mainColor == Color.WHITE || mainColor == Color.TRANSPARENT);
	}
}
