package com.library.pdf.graph;

import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.ReadableMap;
import com.facebook.react.uimanager.SimpleViewManager;
import com.facebook.react.uimanager.ThemedReactContext;
import com.facebook.react.uimanager.annotations.ReactProp;

public class RCTGraphBoxManager extends SimpleViewManager<GraphBox> {
    private static final String REACT_CLASS = "RCTGraphBox";
    private final GraphManager mgrInstance;

    public RCTGraphBoxManager(ReactApplicationContext reactContext){
        mgrInstance = GraphManager.getInstance();
    }

    @Override
    public String getName() {
        return REACT_CLASS;
    }

    @Override
    public GraphBox createViewInstance(ThemedReactContext context) {
        return new GraphBox(context);
    }

    @Override
    public void onDropViewInstance(GraphBox graphBox) {
        graphBox = null;
    }

    @ReactProp(name = "index")
    public void setIndex(GraphBox graphBox, int index) {
        graphBox.setIndex(index);
    }

    @ReactProp(name = "path")
    public void setPath(GraphBox graphBox, String path) {
        graphBox.setPath(path);
    }

    @ReactProp(name = "coordinates")
    public void setCoordinates(GraphBox graphBox, ReadableMap coordinates){
        graphBox.setCoordinates(coordinates);
    }

    @ReactProp(name = "pageSize")
    public void setPageSize(GraphBox graphBox, ReadableMap pageSize){
        graphBox.setPageSize(pageSize);
    }

    @ReactProp(name = "visible")
    public void setVisible(GraphBox graphBox, boolean visible){
        graphBox.setVisible(visible);
    }

    @ReactProp(name = "skipEmpty")
    public void setSkipEmpty(GraphBox box, boolean skipEmpty){
        box.setSkipEmpty(skipEmpty);
    }

    @Override
    public void onAfterUpdateTransaction(GraphBox graphBox) {
        super.onAfterUpdateTransaction(graphBox);
        mgrInstance.addToList(graphBox);
    }
}
