package com.library.pdf.hr;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.drawable.BitmapDrawable;

import com.library.pdf.Box;

public class HrBox extends Box {
    private String path;
    private int index;
    private String zipPath;
    private String url;
    private OnDownloadListener listener;
    private boolean visible;
    private String name;
    private int retry = 0;
    private boolean graph;

    public HrBox(Context context) {
        super(context);
        setScaleType(ScaleType.FIT_XY);
    }

    public OnDownloadListener getListener() {
        return listener;
    }

    public void setListener(OnDownloadListener listener) {
        this.listener = listener;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getPath() {
        return path;
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }

    public void setZipPath(String path) {
        this.zipPath = path;
    }

    public String getZipPath() {
        return zipPath;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getUrl() {
        return url;
    }

    @Override
    public Bitmap getBitmap(int scale) {
        return HrManager.getInstance().getBitmap(this);
    }

    public void setVisible(boolean visible) {
        this.visible = visible;
    }

    public boolean isVisible() {
        return visible;
    }

    public void setRetry(int retry) {
        this.retry = retry;
    }

    public int getRetry() {
        return retry;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public boolean isDrawn(){
        return getDrawable() instanceof BitmapDrawable;
    }

    public void setGraph(boolean graph) {
        this.graph = graph;
    }

    public boolean isGraph() {
        return graph;
    }

    @Override
    public String toString() {
        return "HrBox{" +
                "path='" + path + '\'' +
                ", index=" + index +
                ", graph=" + graph +
                ", zipPath='" + zipPath + '\'' +
                ", url='" + url + '\'' +
                ", skipEmpty='" + isSkipEmpty() + '\'' +
                ", visible='" + visible + '\'' +
                ", drawn='" + isDrawn() + '\'' +
                '}';
    }
}
