package com.library.pdf.pdf;

import androidx.annotation.Nullable;

import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.common.MapBuilder;
import com.facebook.react.uimanager.SimpleViewManager;
import com.facebook.react.uimanager.ThemedReactContext;
import com.facebook.react.uimanager.annotations.ReactProp;

import java.util.Map;

public class RCTPdfManager extends SimpleViewManager<PdfView> {
    private static final String REACT_CLASS = "RCTPdf";
    private PdfView pdfView;

    public RCTPdfManager(ReactApplicationContext reactContext){
    }

    @Override
    public String getName() {
        return REACT_CLASS;
    }

    @Override
    public PdfView createViewInstance(ThemedReactContext context) {
        this.pdfView = new PdfView(context,null);
        return pdfView;
    }

    @Override
    public void onDropViewInstance(PdfView pdfView) {
        pdfView = null;
    }

    @ReactProp(name = "path")
    public void setPath(PdfView pdfView, String path) {
        pdfView.setPath(path);
    }

    @ReactProp(name = "asset")
    public void setAsset(PdfView pdfView, String assetName) {
        pdfView.setAssetName(assetName);
    }

    @ReactProp(name = "offsetX")
    public void setOffsetX(PdfView pdfView, float offset){
        pdfView.setOffsetX(offset);
    }

    @ReactProp(name = "offsetY")
    public void setOffsetY(PdfView pdfView, float offset){
        pdfView.setOffsetY(offset);
    }

    @ReactProp(name = "visibleWidth")
    public void setVisibleWidth(PdfView pdfView, float width){
        pdfView.setVisibleWidth(width);
    }

    @ReactProp(name = "visibleHeight")
    public void setVisibleHeight(PdfView pdfView, float height){
        pdfView.setVisibleHeight(height);
    }

    @ReactProp(name = "scale")
    public void setScale(PdfView pdfView, float scale) {
        pdfView.setScale(scale);
    }

    @ReactProp(name = "thumbnailRatio")
    public void setThumbnailRatio(PdfView pdfView, float thumbnailRatio){
        pdfView.setThumbnailRatio(thumbnailRatio);
    }

    @ReactProp(name = "blackAndWhite")
    public void setBlackAndWhite(PdfView pdfView, boolean blackAndWhite){
        pdfView.setBlackAndWhite(blackAndWhite);
    }

    @ReactProp(name = "thumbnailMaxWidth")
    public void setThumbnailMaxWidth(PdfView pdfView, int thumbnailMaxWidth){
        pdfView.setThumbnailMaxWidth(thumbnailMaxWidth);
    }

    @ReactProp(name = "thumbnailClear")
    public void setThumbnailClear(PdfView pdfView, boolean thumbnailClear){
        pdfView.setThumbnailClear(thumbnailClear);
    }

    @ReactProp(name = "isDoubleTruck")
    public void setIsDoubleTruck(PdfView pdfView, boolean doubleTruck){
        pdfView.setDoubleTruck(doubleTruck);
    }

    @Override
    public void onAfterUpdateTransaction(PdfView pdfView) {
        super.onAfterUpdateTransaction(pdfView);
        pdfView.drawPdf();
    }

    @Override
    public @Nullable Map<String, Object> getExportedCustomDirectEventTypeConstants() {
        return MapBuilder.<String, Object>builder()
                .put("onPdfDrawn", MapBuilder.of("registrationName", "onPdfDrawn"))
                .put("onPdfError", MapBuilder.of("registrationName", "onPdfError"))
                .put("onPdfLoaded", MapBuilder.of("registrationName", "onPdfLoaded"))
                .build();
    }
}
