/**
 * Copyright (c) 2017-present, Wonday (@wonday.org)
 * All rights reserved.
 *
 * This source code is licensed under the MIT-style license found in the
 * LICENSE file in the root directory of this source tree.
 */

#import <Foundation/Foundation.h>

#import "RCTGraphBoxViewManager.h"
#import "RCTGraphBoxView.h"
#import <React/RCTEventEmitter.h>

@implementation RCTGraphBoxViewManager

RCT_EXPORT_MODULE()

- (UIView *)view
{
        return [[RCTGraphBoxView alloc] init];
}

RCT_EXPORT_VIEW_PROPERTY(path, NSString);
RCT_EXPORT_VIEW_PROPERTY(coordinates, NSDictionary);
RCT_EXPORT_VIEW_PROPERTY(pageId, int);
RCT_EXPORT_VIEW_PROPERTY(artId, int);
RCT_EXPORT_VIEW_PROPERTY(onBoxDrawn, RCTBubblingEventBlock);

+ (BOOL)requiresMainQueueSetup {
    return YES;
}


- (void)dealloc{
}

@end
