/**
 * Copyright (c) 2017-present, Wonday (@wonday.org)
 * All rights reserved.
 *
 * This source code is licensed under the MIT-style license found in the
 * LICENSE file in the root directory of this source tree.
 */

#import <Foundation/Foundation.h>

#import "RCTPdfBoxViewManager.h"
#import "RCTPdfBoxView.h"
#import <React/RCTEventEmitter.h>

@implementation RCTPdfBoxViewManager

RCT_EXPORT_MODULE()

- (UIView *)view
{
        return [[RCTPdfBoxView alloc] init];
}

RCT_EXPORT_VIEW_PROPERTY(path, NSString);
RCT_EXPORT_VIEW_PROPERTY(coordinates, NSDictionary);
RCT_EXPORT_VIEW_PROPERTY(offset, NSDictionary);
RCT_EXPORT_VIEW_PROPERTY(pageId, int);
RCT_EXPORT_VIEW_PROPERTY(artId, int);
RCT_EXPORT_VIEW_PROPERTY(pageSize, NSDictionary);
RCT_EXPORT_VIEW_PROPERTY(scale, float);
RCT_EXPORT_VIEW_PROPERTY(visible, BOOL);
RCT_EXPORT_VIEW_PROPERTY(onPdfError, RCTBubblingEventBlock);
RCT_EXPORT_VIEW_PROPERTY(onBoxDrawn, RCTBubblingEventBlock);

+ (BOOL)requiresMainQueueSetup {
    return YES;
}


- (void)dealloc{
}

@end
