/**
 * Copyright (c) 2017-present, Wonday (@wonday.org)
 * All rights reserved.
 *
 * This source code is licensed under the MIT-style license found in the
 * LICENSE file in the root directory of this source tree.
 */

#import <Foundation/Foundation.h>

#import "RCTPdfViewManager.h"
#import "RCTPdfView.h"
#import <React/RCTEventEmitter.h>

@implementation RCTPdfViewManager

RCT_EXPORT_MODULE()

- (UIView *)view
{
    return [[RCTPdfView alloc] init];
}

RCT_EXPORT_VIEW_PROPERTY(path, NSString);
RCT_EXPORT_VIEW_PROPERTY(page, int);
RCT_EXPORT_VIEW_PROPERTY(scale, float);
RCT_EXPORT_VIEW_PROPERTY(offsetX, float);
RCT_EXPORT_VIEW_PROPERTY(offsetY, float);
RCT_EXPORT_VIEW_PROPERTY(minScale, float);
RCT_EXPORT_VIEW_PROPERTY(maxScale, float);
RCT_EXPORT_VIEW_PROPERTY(isDoubleTruck, BOOL);
RCT_EXPORT_VIEW_PROPERTY(onPdfLoaded, RCTBubblingEventBlock);
RCT_EXPORT_VIEW_PROPERTY(onPdfError, RCTBubblingEventBlock);
RCT_EXPORT_VIEW_PROPERTY(onPdfDrawn, RCTBubblingEventBlock);

+ (BOOL)requiresMainQueueSetup {
    return YES;
}


- (void)dealloc{
}

@end
