function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from "react";
import PropTypes from "prop-types";
import { requireNativeComponent, Platform, ViewPropTypes } from "react-native";
import { JSUtils } from "@tecnavia/react-native-utils";
let GraphBoxComponent;
export default class GraphBox extends React.Component {
  static propTypes = {
    ...ViewPropTypes,
    coordinates: PropTypes.shape({
      origin: PropTypes.shape({
        x: PropTypes.number,
        y: PropTypes.number
      }),
      size: PropTypes.shape({
        width: PropTypes.number,
        height: PropTypes.number
      })
    }),
    pageSize: PropTypes.shape({
      width: PropTypes.number,
      height: PropTypes.number
    }),
    path: PropTypes.string.isRequired,
    pageId: PropTypes.number,
    artId: PropTypes.number,
    visible: PropTypes.bool
  };
  static defaultProps = {
    pageId: 0,
    artId: -1
  };
  constructor(props) {
    super(props);
    this.graphBoxComponentName = Platform.select({
      android: "RCTGraphBox",
      ios: "RCTGraphBoxView"
    });
    if (!GraphBoxComponent) {
      GraphBoxComponent = requireNativeComponent(this.graphBoxComponentName, GraphBox, {
        nativeOnly: {
          path: true,
          onChange: true
        }
      });
    }
  }
  shouldComponentUpdate(nextProps) {
    return !JSUtils.equals(nextProps, this.props);
  }
  render() {
    return /*#__PURE__*/React.createElement(GraphBoxComponent, _extends({
      ref: component => {
        this._root = component;
      }
    }, this.props));
  }
}
//# sourceMappingURL=graph-box-component.js.map