function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from "react";
import PropTypes from "prop-types";
import { NativeModules, requireNativeComponent, findNodeHandle, UIManager, ViewPropTypes } from "react-native";
const HrBoxComponent = requireNativeComponent("RCTHrBox");
export default class HrBox extends React.Component {
  static propTypes = {
    ...ViewPropTypes,
    name: PropTypes.string.isRequired,
    path: PropTypes.string.isRequired,
    zipPath: PropTypes.string.isRequired,
    url: PropTypes.string.isRequired,
    onHrDownloaded: PropTypes.func,
    onHrError: PropTypes.func,
    onHrLoaded: PropTypes.func
  };
  static clearQueue() {
    NativeModules.HrModule.clearQueue();
  }
  static pauseQueue() {
    NativeModules.HrModule.pauseQueue();
  }
  static resumeQueue() {
    NativeModules.HrModule.resumeQueue();
  }
  static setPoolSize(size) {
    NativeModules.HrModule.setPoolSize(size);
  }
  constructor(props) {
    super(props);
    this.onRef = this._onRef.bind(this);
  }
  invalidate() {
    if (this.viewHandle) {
      UIManager.dispatchViewManagerCommand(this.viewHandle, 0, null);
    }
  }
  _onRef(ref) {
    this.ref = ref;
    this.viewHandle = findNodeHandle(this.ref);
  }
  render() {
    return /*#__PURE__*/React.createElement(HrBoxComponent, _extends({
      ref: this.onRef
    }, this.props));
  }
}
//# sourceMappingURL=hr-box-component.js.map