function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from "react";
import PropTypes from "prop-types";
import { requireNativeComponent, Platform, ViewPropTypes } from "react-native";
import { JSUtils } from "@tecnavia/react-native-utils";
let PdfBoxComponent;
export default class PdfBox extends React.PureComponent {
  static propTypes = {
    ...ViewPropTypes,
    coordinates: PropTypes.shape({
      origin: PropTypes.shape({
        x: PropTypes.number,
        y: PropTypes.number
      }),
      size: PropTypes.shape({
        width: PropTypes.number,
        height: PropTypes.number
      })
    }),
    pageSize: PropTypes.shape({
      width: PropTypes.number,
      height: PropTypes.number
    }),
    path: PropTypes.string.isRequired,
    pageId: PropTypes.number,
    artId: PropTypes.number,
    onBoxDrawn: PropTypes.func,
    onPdfError: PropTypes.func,
    visible: PropTypes.bool,
    scale: PropTypes.number
  };
  static defaultProps = {
    pageId: 0,
    artId: -1
  };
  constructor(props) {
    super(props);
    this.previousRenderScale = 1;
    this.pdfBoxComponentName = Platform.select({
      android: "RCTPdfBox",
      ios: "RCTPdfBoxView"
    });
    if (!PdfBoxComponent) {
      PdfBoxComponent = requireNativeComponent(this.pdfBoxComponentName, PdfBox, {
        nativeOnly: {
          path: true,
          onChange: true
        }
      });
    }
  }
  render() {
    const {
      scale,
      onPdfError,
      onBoxDrawn,
      zoom,
      path,
      onRefToUpdate,
      ...rest
    } = this.props;
    return /*#__PURE__*/React.createElement(PdfBoxComponent, _extends({
      ref: component => {
        this._root = component;
      }
    }, rest, {
      path: path,
      scale: scale,
      onPdfError: () => {
        if (typeof onPdfError === "function") {
          onPdfError();
        }
      },
      onBoxDrawn: () => {
        if (typeof onBoxDrawn === "function") {
          onBoxDrawn();
        }
      }
    }));
  }
}
//# sourceMappingURL=pdf-box-component.js.map